/**
* Rotary encoder
*/

/*************************************
********** Example of using **********
**************************************/

#include "mbed.h"
#include "encoder.h"

//Encoder decleration
Encoder enc(PA_0, PA_1, 20);


//UART
Serial uart(USBTX, USBRX);


int main() {
    uart.printf("\n\rRotary encoder\n\r");
    uart.printf("^^^^^^^^^^^^^^\n\r\n\r");
    uart.printf("Encoder speed: %6.1f rpm\n\r", enc.get_rpm());
    uart.printf("Encoder steps: %6d\n\r", enc.get_count());

    while(1){
        uart.printf("\033[2A");
        uart.printf("Encoder speed: %6.1f rpm\n\r", enc.get_rpm());
        uart.printf("Encoder steps: %6d\n\r", enc.get_count());
        
        wait(1);
    }
}